<?php

namespace App\Controller\Admin;


use App\Entity\Common\TaxRate;
use App\Entity\Site\Page;
use App\Entity\User\GroupUser;
use App\Entity\User\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\Assets;
use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use Lc\SovBundle\Controller\Admin\DashboardController as SovDashboardController;

class DashboardController extends SovDashboardController
{

    public function configureMenuItems(): iterable
    {
        yield MenuItem::linkToDashboard('dashboard', 'circle');

        yield MenuItem::linkToCrud('page', 'copy', Page::class);

        yield MenuItem::subMenu('user', 'user')->setSubItems(
                [
                        MenuItem::linkToCrud('user_index', '', User::class),
                ]
        );

        yield MenuItem::subMenu('account', 'user')->setSubItems(
                [
                        MenuItem::linkToRoute('account_profile', '', 'sov_admin_account_profile'),
                        MenuItem::linkToRoute('account_password', '', 'sov_admin_account_password'),
                ]
        );
    }
}
